<?php

use FreshMail\Entity\AsyncJob;
use FreshMail\Repository\AsyncJobs;
use FreshMail\Repository\FreshmailSettings;

if('fm-plugin-presta.lizardlabs.pl' == $_SERVER['HTTP_HOST']) {
    require_once  '/var/www/html/fm-plugin-presta/config/config.inc.php';
} elseif('fm-plugin-presta-compat.lizardlabs.pl' == $_SERVER['HTTP_HOST']) {
    require_once  '/var/www/html/fm-plugin-presta-compat/config/config.inc.php';
} elseif('fm-plugin-presta-compat171.lizardlabs.pl' == $_SERVER['HTTP_HOST']) {
    require_once  '/var/www/html/fm-plugin-presta-compat171/config/config.inc.php';
} else {
    require_once __DIR__ . '/../../../config/config.inc.php';
}

if (substr(Tools::encrypt('freshmail/index'), 0, 10) != Tools::getValue('token') || !Module::isInstalled('freshmail')) {
    die('Bad token');
}
Module::getInstanceByName('freshmail');

$activeJobsRepository = new AsyncJobs(Db::getInstance());

$activeJobs = $activeJobsRepository->getRunningJobs();
$now = strtotime('now');
$cacheTime = AsyncJobs::TIME_SYNC_JOBS;
foreach ($activeJobs as $job) {
    if ((strtotime($job['last_sync']) + $cacheTime) > $now) {
        continue;
    }
    $fs = new \FreshMail\Freshmail($job['api_token']);
    $aj = new AsyncJob($job['id_freshmail_async_job']);

    $fs->pingAsyncJobStatus($aj);
}

set_time_limit(0);

foreach ( $activeJobsRepository->getSuccessJobs() as $readyJob ){
    $fs = new \FreshMail\Freshmail($readyJob['api_token']);
    $file = $fs->getFileFromJob($readyJob['id_job']);
    \FreshMail\Service\AsyncJobService::updateJobFilename($readyJob['id_job'], $file);

    (new \FreshMail\Repository\Subscribers(Db::getInstance()))->deleteByList($readyJob['hash_list']);

    \FreshMail\Tools::importSubscribersFromCsv($readyJob['hash_list'], $file);

    \FreshMail\Service\AsyncJobService::setJobAsFinished($readyJob['id_job']);
}