<?php

namespace FreshMail\Entity;

use ObjectModel;

class Field extends ObjectModel
{
    public $id;
    public $displayname;
    public $hash;
    public $include_field;
    public $require_field;
    public $name;
    public $tag;
    public $id_form;
    public $type;

    public static $definition = array(
        'table' => 'freshmail_list_field',
        'primary' => 'id',
        'fields' => array(
            'name' => array(
                'type' => self::TYPE_STRING,
                'validate' => 'isGenericName',
                'required' => true,
                'class' => 'lg'
            ),
            'tag' => array(
                'type' => self::TYPE_STRING,
                'validate' => 'isGenericName',
                'required' => true,
            ),
            'displayname' => array(
                'type' => self::TYPE_STRING,
                'validate' => 'isGenericName',
            ),
            'hash' => array(
                'type' => self::TYPE_STRING,
                'required' => true
            ),
            'include_field' => array(
                'type' => self::TYPE_INT,
            ),
            'require_field' => array(
                'type' => self::TYPE_INT,
            ),
            'id_form' => array(
                'type' => self::TYPE_INT,
                'required' => true,
            ),
            'type' => array(
                'type' => self::TYPE_STRING,
                'required' => true,
            ),
        ),
    );

}